@import "Focus/Source/mixins";

// IE10 fix
@-webkit-viewport   { width: device-width; }
@-moz-viewport      { width: device-width; }
@-ms-viewport       { width: device-width; }
@-o-viewport        { width: device-width; }
@viewport           { width: device-width; }
@-moz-document url-prefix() {
	ul li.last a {
    padding-left: 34px !important;
	}
}
// Reset the box-sizing applied by Bootstrap's normalisation CSS
//
// This is necessary until all of the application has been converted to Bootstrap to avoid sizing discrepancies.
// As sections are converted to Bootstrap, wrap them in a div with a class of "bootstrapped" in order to reset the box model to border-box as required by Bootstrap. 
*,
*:before,
*:after {
  @include box-sizing(content-box);
}
.bootstrapped, 
.bootstrapped *,
.bootstrapped *:before,
.bootstrapped *:after {
  @include box-sizing(border-box);
}

// Reset all elements
* {
  padding: 0;
  margin: 0;
}

// Globally styled html elements

html, body, #SiteForm, #Form1 {
  height: 100%;
}

// This style allows the sticky footer and should be applied to the form tag wrapping the masterpage for asp controls

body {
  padding: 0;
}

h1 {
  font-weight: bold;
  padding: 0;
  color: #A9451A;
}

h2 {
  padding: 0 0 10px 0;
}
h4 {
	font-weight: bold;
}

p {
  margin-bottom: 10px;
}

a {
  &:hover {
    text-decoration: none;
  }
}

textarea {
  width: 97.5%;
  padding: 3px;
  font-size: 13px;
  font-family: $font-family-sans-serif;
	resize: none;
}

ul {
  margin-left: 20px;
}

input {
  &[type="text"], &[type="password"],&[type="tel"] {
    border: 1px solid #ccc;
    padding: 2px 2px 4px 2px;
    color: #444;
    position: relative;
    z-index: 99;
    background: transparent url(../../Assets/Images/transparent.gif) repeat-x;
  }
  &[type="text"], &[type="password"] {
    height: 100%;
		@include boxSizingReset();
		&::before,
		&::after {
			@include boxSizingReset();
		}
  }
	.bootstrapped &[type="text"], .bootstrapped &[type="password"] {
    height: 15px;
		&.form-control {
			height: 36px !important;
		}
		@include box-sizing(border-box);
		&::before,
		&::after {
			@include box-sizing(border-box);
		}
  }
  &[type="checkbox"] {
    margin-right: 4px;
    padding: 0;
    margin-top: 5px;
  }
  &[type="radio"] {
    margin-right: 10px;
  }
}

select {
  min-width: 60px;
  height: 24px !important;
}

.clear {
  clear: both;
}

.bookMarkWidth {
  width: 155px;
}

li input[type="image"] {
  position: relative;
  top: 2px;
}

.watermark {
  color: #777 !important;
  opacity:1;
}

input {
  &:-ms-input-placeholder, &::-webkit-input-placeholder, &:-moz-placeholder {
    color: #777 !important;
	opacity:1;
  }
}

.embolden {
  font-weight: bold;
}

.underline {
  text-decoration: underline;
}

.smallItalic {
  font-style: italic;
  font-size: 0.8em;
}

// Turn off Chrome's default orange outline

*:focus {
  outline-width: 0;
}

// and turn back on for only those elements that need it

a:focus, input:focus, select:focus, textarea:focus {
  outline-width: 1px;
}

// End globally styled html elements

// Global custom styles

#RCPNavigation {
  #RCPNavigationTop {
    background: #c3c0da;
    height: 30px;
    -webkit-border-top-left-radius: 0;
    -moz-border-radius-topleft: 0;
    border-top-left-radius: 6px;
    -webkit-border-top-right-radius: 6px;
    -moz-border-radius-topright: 0;
    border-top-right-radius: 6px;
    overflow: hidden;
	width:100%;	//width: 1169px;
    margin-top: 10px;
  }
  &.noBottom #RCPNavigationTop {
    -webkit-border-bottom-left-radius: 0;
    -moz-border-radius-bottomleft: 0;
    border-bottom-left-radius: 6px;
    -webkit-border-bottom-right-radius: 6px;
    -moz-border-radius-bottomright: 0;
    border-bottom-right-radius: 6px;
  }
  #RCPNavigationTop ul {
    margin-left: 0;
    //width: 1170px;
    @media (min-width:769px) {
        li:first-child{
            width:18% !important;
        }
        li:last-child{
            width:7% !important;
        }
        li:nth-child(3),
        li:nth-child(7){
            width:15.5%;
 
        }
        li {
              width:11%;
        }
    }
    li {
      float: left;
      list-style: none;
      &.first a {
        padding-left: 10px;
      }
      a {
        display: block;
        height: 25px;
        padding-top: 5px;
        font-size: 15px;
        text-decoration: none;
        font-weight: bold;
        background: url(Images/icon_resumearrow.png) no-repeat 100%;
        text-align: center;
        @media (min-width:769px) {
            padding-left: 5% !important;
            padding-right: 20% !important;
        }
        text-transform: uppercase;
        &:hover {
          text-decoration: underline;
        }
      }
      &.selected a {
        background: #e6e4ee url(Images/icon_resumearrow_activeleft.png) no-repeat 100%;
      }
      &.selectedPrevious a {
        background: #c3c0da url(Images/icon_resumearrow_activeright.png) no-repeat 100%;
      }
      &.last {
        a {
          background: none;
        }
        &.selected a {
          background: #e6e4ee;

        }
      }
    }
  }
  #RCPNavigationBottom {
    background: #e6e4ee;
    min-height: 35px;
    -webkit-border-bottom-left-radius: 0;
    -moz-border-radius-bottomleft: 0;
    border-bottom-left-radius: 6px;
    -webkit-border-bottom-right-radius: 6px;
    -moz-border-radius-bottomright: 0;
    border-bottom-right-radius: 6px;
    // Make the navigation menu to horizontal fit based on the list items
    display:table;
    width:100%;
    margin-top:10px;
    ol {
      margin-left: 30px;
      li {
        float: left;
        padding-top: 7px;
        padding-right: 40px;
        a {
          text-decoration: none;
          &:hover {
            text-decoration: underline;
          }
        }
        &.selected a {
          font-weight: bold;
        }
      }
    }
  }
}

#RCPNavigationTop a#pull {
	margin-top: 10px;
	height: 30px;
    font-size: 15px;
    text-decoration: none;
    font-weight: bold;
    text-align: left;
    padding-left: 10px;
    text-transform: uppercase;
	display: none;
    outline-width:0px;
}

@media screen and (max-width: 1200px){
	#RCPNavigation {
	  #RCPNavigationTop ul {
		li {
		  a {
			padding-left: 10px;
			padding-right: 40px;
		  }
		}
	  }
	}
}

@media screen and (max-width: 992px){
	#RCPNavigation {
	  #RCPNavigationTop ul {
		li {
		  a {
			padding-left: 0;
			padding-right: 25px;
            font-size:13px;
		  }
		}
	  }
	}
}

@media screen and (max-width: 768px){
	#RCPNavigation {
	  #RCPNavigationTop {
		height: auto;
	  }
	  #RCPNavigationTop ul {
	    display: none;
		li {
		  width: 100%;
		  list-style: none;
		  a {
			background: none;
			text-align: left;
			padding-left: 10px;
		  }
		  &.selected a {
			background: #e6e4ee;
		  }
		  &.selectedPrevious a {
			background: none;
		  }
		  &.last {
			a {
			  background: none;
			}
			&.selected a {
			  background: #e6e4ee;
			}
		  }
		  &.a:active {
		    background: #e6e4ee;
		  }
		}
	  }
	}
	#RCPNavigationTop a#pull {
		display: block;
		background: none;
		width: 100%;
		z-index: 1;
	}
	#RCPNavigationTop a#pull:after {
		content:"";
		background: url('Images/icon-nav.png') no-repeat;
		width: 20px;
		height: 20px;
		display: inline-block;
		position: absolute;
		right: 20px;
	}
}

@import "Focus/Source/breadcrumb";

@import "Focus/Source/promo";

body select.ListBox {
  height: auto !important;
  font-size: 16px;
  padding-left: 10px;
  border: 1px solid #e4e3e8;
  border-top: 1px solid #b0b1b3;
}

.horizontalCheckBoxMargin label {
  margin-right: 15px;
}

@import "Focus/Source/infieldlabel";

.jobDetailHighlightedText {
  color: #E56F22;
}

@import "Focus/Source/forms";

// Master Page Styles

#wrap {
  min-height: 100%;
}

.page {
  padding-bottom: 100px;
}

#divtimer {
  position: fixed;
  top: 40%;
  left: 30%;
  padding: 16px 46px;
  border: solid 2px #F39F02;
  background-color: #fff;
  z-index: 999999;
  text-align: center;
  display: none;
}

@import "Focus/Source/header";

@import "Focus/Source/navbar";

#main {
  padding: 20px 0;
  background-color: #fff;
  @include rounded(4px, 0, 0, 0);
  position: relative;
  z-index: 99;
}

@import "Focus/Source/footer";

// Default update progress panel

.updateprogress {
  display: table;
  -webkit-box-shadow: 4px 4px 10px rgba(50, 50, 50, 0.4);
  -moz-box-shadow: 4px 4px 10px rgba(50, 50, 50, 0.4);
  box-shadow: 4px 4px 10px rgba(50, 50, 50, 0.4);
  img, span {
    display: table-cell;
    padding: 15px 10px;
    vertical-align: middle;
  }
}

// End Master Page Styles

// Other Styles

.overlayPanelContainer {
  height: 25px;
}

.overlayPanelClosed {
  position: absolute;
}

.standardPanel .overlayPanelClosed {
  @include rounded(4px, 4px, 4px, 4px);
  display: inline;
  cursor: pointer;
  font-size: 17px;
  background: url(Images/landing_page_dropdown_background.png) repeat-x;
  color: #ffffff;
  font-weight: bold;
  padding: 2px 10px 2px 8px;
  span {
    background: url(Images/landing_page_dropdown_background_arrow.gif) no-repeat center right;
    display: block;
    white-space: nowrap;
    padding-right: 25px;
  }
  &.Disabled {
    background: url(Images/landing_page_dropdown_background_disabled.png) repeat-x;
  }
}

.overlayPanelLabel {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.overlayPanelOpen {
  @include rounded(4px, 4px, 4px, 4px);
  padding: 5px;
  zoom: 1;
  *display: inline;
  color: #264C69;
  font-size: 16px;
  position: absolute;
  z-index: 1000;
  display: none;
}

.standardPanel .overlayPanelOpen {
  border: 2px solid #264C69;
  background: #f6f6f8;
}

.sidebarSkillsPanel {
  height: 204px;
  .overlayPanelOpen {
    border: 2px solid #A9451A;
    background: #FAEAC8;
  }
}

.overlayPanelOpen {
  .title {
    font-weight: bold;
    float: left;
    text-transform: uppercase;
  }
  .overlayPanelClosedTrigger {
    float: right;
    margin-top: 2px;
  }
  td {
    padding: 5px;
  }
  input {
    &[type="radio"] {
      margin-right: 0;
    }
    &[type="text"] {
      background-color: #FFFFFF;
    }
  }
  span.inFieldLabel label {
    z-index: 999;
  }
}

#MainReportFilter {
  td {
    padding-right: 10px;
  }
  span.content {
    color: #A9451A;
    font-size: 26px;
    font-weight: bold;
    position: relative;
    bottom: 6px;
  }
}

#subReportFilter td {
  padding-right: 10px;
}

.horizontalRule {
  width: 100%;
  height: 1px;
  background: #594E8C;
  margin: 26px 0;
}

.loginSectionTitle {
  @include rounded(4px, 4px, 4px, 4px);
  background: #deeaea;
  width: 100%;
  display: inline-block;
  padding: 4px 7px 4px 7px;
  font-weight: bold;
  font-size: 1.2em;
  margin-top: 10px;
  a {
    text-decoration: none;
  }
}

.registrationConfirmationSection {
  @include rounded(4px, 4px, 4px, 4px);
  background: #d9d7e4;
  width: 95%;
  display: inline-block;
  padding: 4px 7px 4px 7px;
  font-weight: bold;
  font-size: 1.2em;
  margin-top: 10px;
  a {
    text-decoration: none;
  }
}

.registrationConfirmationSection2 {
  @include rounded(4px, 4px, 4px, 4px);
  background: #deeaea;
  width: 95%;
  display: inline-block;
  padding: 4px 7px 4px 7px;
  font-weight: bold;
  font-size: 1.2em;
  margin-top: 10px;
  a {
    text-decoration: none;
  }
}

.registrationTerms {
  border: 0;
  height: 320px;
  padding-right: 5px;
  overflow-y: scroll;
  text-align: justify;
  ol {
    padding-left: 25px;
  }
  > ol > li {
    margin-bottom: 10px;
  }
}

.error {
  color: Red;
  font-size: 12px;
}

.disclaimer .heading {
  font-size: 26px;
  font-family: Calibri, Trebuchet, Arial;
  font-weight: bold;
  color: #A9451A;
}

.instructions {
  font-size: 0.8em;
  font-style: italic;
  font-weight: normal;
  color: #666666;
}

.myAccountContent td {
  padding-bottom: 10px;
  vertical-align: top;
}

// End of Other Styles

@import "Focus/Source/landingpages";

@import "Focus/Source/customselect";

@import "Focus/Source/buttons";

.selectionTable {
  width: 100%;
  td {
    padding: 4px !important;
    background: #ffffff !important;
    white-space: nowrap;
  }
  label{
  	display:inline;
  }
}

@import "Focus/Source/fileupload";

@import "Focus/Source/accordion";

@import "Focus/Source/tooltip";

// Tables

body .genericTable {
  th {
    text-transform: uppercase;
    font-size: 14px;
    background: #DDE3E8;
    color: #000000;
    padding: 4px;
    border-top: 1px dashed black;
    text-align: left;
    a {
      text-decoration: none;
      font-weight: bold;
    }
    vertical-align:top;
  }
  .tableHead {
    text-transform: uppercase;
    font-size: 14px;
    background: #DDE3E8;
    color: #000000;
    padding: 4px;
    border-top: 1px dashed black;
    text-align: left;
    a {
      text-decoration: none;
      font-weight: bold;
    }
    vertical-align:top;
	}
  td {
    padding: 7px;
    padding: 8px 8px;
    font-size: 16px;
    background: #F6F8F9;
    color: #000000;
    vertical-align: top;
  }
  th td {
    background: #DDE3E8;
  }
  a {
    color: #000000;
  }
  &.withHeader {
    .last td {
      border-bottom: 1px dashed black;
    }
    table tbody {
      border-bottom: none;
    }
    th {
      padding: 4px;
      td {
        padding: 0;
        font-size: 14px;
      }
    }
  }
  table table td {
    padding: 0;
  }
  tr.nonSpideredJobSearchResult td {
    background-color: #dcdce7;
  }
}

// Generic container

.reportColumnInlineTooltip {
  display: inline-block;
  margin-left: 8px;
  position: relative;
  top: 5px;
}

@import "Focus/Source/chart";

@import "Focus/Source/modal";

@import "Focus/Source/careerpath";

/*
Below styles are for the career paths in the job modal
Each styles is in the format secondXAAAAthirdY
Where 
	secondX is the number of items on the second level
	AAAA is the second level item that has been clicked
	thirdY is the number of items on the third level
*/

.degree-scroll-pane, .employer-scroll-pane, .internship-scroll-pane, .job-scroll-pane, .skill-scroll-pane, .careerarea-scroll-pane {
  width: 100%;
  height: 500px;
  overflow: auto;
  position: relative;
}

.career-scroll-pane    {
    overflow-y:auto;
    overflow-x:hidden;
}
.deletableListItemTable td {
  vertical-align: top;
}

// Page specific styling

.lightbox {
  margin-left: 10px;
}

.lightboxOptions {
  width: 100%;
  a {
    text-decoration: none;
    color: #264C69;
    font-size: 14px;
    &:hover {
      text-decoration: underline;
    }
  }
}

.lightboxHeading {
  color: #A9451A;
  font-size: 16px;
}

.topJobTitles {
  color: #264C69;
  font-size: 15px;
  margin-bottom: 10px;
  a {
    color: #264C69;
  }
}

// Career home page
.staticMessages {
  float: left;
  //width: 777px; 
}

.findAJob {
  float: right;
  margin-bottom: 25px;
  .buttonLevel2 {
    position: relative;
    top: 2px;
  }
}

.homeWrapper {
  clear: both;
  font-size: 0;
}

.homeMain {
  display: inline-block;
  font-size: 15px;
  //width: 777px;
  vertical-align: top;
  //margin-right: 32px;
  .collapsiblePanel {
    margin-right: 32px;
  }
  .collapsiblePanelHeader {
    position: relative;
    border-top: 1px solid #264C69;
    color: #264C69;
    cursor: pointer;
    padding: 3px 20px 0px 0px;
    font-size: 19px;
    font-weight: bold;
    padding-right: 30px;
    .collapsiblePanelControl {
      position: absolute;
      right: 0;
      top: 8px;
      text-transform: uppercase;
      font-size: 11px;
      font-weight: bold;
      color: #594E8C;
    }
  }
  .collapsiblePanelContent {
    margin: 10px 0 25px 0;
  }
  .collapsiblePanel .cpShow {
    display: none;
  }
  .cpCollapsed {
    .collapsiblePanelContent, .cpHide {
      display: none;
    }
    .cpShow {
      display: inline;
    }
  }
}

.homeSideBar {
  display: inline-block;
  font-size: 15px;
  //width: 273px;
  vertical-align: top;
  .sideBarSection {
    border-bottom: 1px solid #7d94a4;
    margin-bottom: 10px;
    padding-bottom: 10px;
    h2 {
      margin-bottom: 10px;
    }
    .deletableListItemTable {
      margin-top: 10px;
    }
  }
  .purpleSideBarLink, .blueSideBarLink {
    font-weight: bold;
    @include rounded(4px, 4px, 4px, 4px);
    margin-bottom: 10px;
    line-height: 18px;
    font-size: 17px;
    padding: 4px 0;
    min-height: 30px;
    display: block;
    text-decoration: none;
    cursor: pointer;
    background-position: 5px center;
    background-repeat: no-repeat;
  }
}
.homeSideBar, 
.homeSideBar *,
.homeSideBar *::before,
.homeSideBar *::after {
	@include boxSizingReset();
}

.purpleSideBarLink {
  background: #d8d6e3;
  color: #342b60;
  a {
    color: #342b60;
    text-decoration: none;
  }
}

.blueSideBarLink {
  background: #dde9e7;
}

.sideBarLink {
  overflow: hidden;
  position: relative;
  &[class] {
    display: table;
    position: relative;
    width: 100%;
  }
}

.sideBarLinkMiddle {
  position: absolute;
  top: 50%;
  left: 36px;
  &[class] {
    display: table-cell;
    vertical-align: middle;
    width: 100%;
    padding-left: 36px;
    position: static;
  }
}

.sideBarLinkInner {
  display: block;
  position: relative;
  top: 50%;
  &[class] {
    display: block;
    position: static;
  }
}

.sideBarLink:last-child {
  margin-bottom: 0;
}

.purpleSideBarLink {
  &.sideBarCreateResume {
    background-image: url(Images/Icons/icon_createresume_sm.png);
  }
  &.sideBarJobSearch {
    background-image: url(Images/Icons/icon_searchforjobs_sm.png);
  }
}

.blueSideBarLink {
  &.sideBarCareerOptions {
    background-image: url(Images/Icons/icon_explorecareers_sm.png);
  }
  &.sideBarResearch {
    background-image: url(Images/Icons/icon_research_sm.png);
  }
  &.sideBarStudy {
    background-image: url(Images/Icons/icon_study_sm.png);
  }
  &.sideBarSchool {
    background-image: url(Images/Icons/icon_school_sm.png);
  }
  &.sideBarExperience {
    background-image: url(Images/Icons/icon_experience_sm.png);
  }
}

// Focus Career

.resumeSubhead {
  border-bottom: 1px solid #224B67;
  padding-bottom: 6px;
  padding-left: 6px;
  .instructionalText {
    color: #264C69;
  }
}

.FocusCareer {
  input {
    &[type="text"] {
      border: 2px solid #aca7c7;
      @include rounded(4px, 4px, 4px, 4px);
      color: #000000;
    }
    &[type="radio"] {
      margin-right: 2px;
    }
  }
}

.showHideAccordion {
  color: #000000;
  a {
    color: #000000;
  }
}

.blueHorizontalRule {
  height: 1px;
  width: 100%;
  background: #7d94a4;
  margin-bottom: 10px;
}

.FocusCareer h2 {
  font-size: 17px;
  font-weight: bold;
  padding: 0;
  color: #A9451A;
}

.savedSearchTop {
  width:100%;
  td {
    white-space: nowrap;
  }
  .instructionalText {
    display: block;
  }
  a {
    display: block;
  }
  .buttonLevel2{
    margin-left:0px;
  }
}

.savedSearchBottom {
  div, td {
      padding: 3px 0px;
  }
 
  label {
    display:inline;
  }

}

.savedSearchMiddle{
  div {
        padding: 6px 0px;

  } td {
      padding: 0px 4px;
  }

  .addPadding {
    padding:6px 2px;
  }

  @media ( max-width:992px )    {
    div {
      padding: 3px 0px;
  }
  }
  

  label {
    display:inline;
  }

}

.FocusCareer {
  .horizontalRule {
    margin: 12px 0;
    background: #224b67;
		height: 1px;
  }
  .boldedText {
    font-weight: bold;
    font-size: 25px;
  }
}

.SeeMoreLessPanel {
  .SeeMoreLessText, .seeLess {
    display: none;
  }
  .seeMore, .seeLess {
    font-weight: bold;
  }
}

body .FocusCareer {
  .genericTable th {
    background: #f1f0f5;
    font-size: 16px;
  }
  > .genericTable td {
    padding: 5px 8px;
  }
  table {
    &.checkBoxList td, &.radioButtonList td {
      padding-bottom: 0 !important;
      padding-top: 0 !important;
    }
  }
}

/* ? */

.LoginRegisterPanel {
  margin-left: 100px;
  div, td {
    padding-bottom: 5px;
  }
  .content  {
    margin-left:10px;
  }
  .toolTipNew   {
   margin-left:10px;
  }
  @media (max-width:480px)  {
  .help     {
      position: absolute;
        right: 0;
        top: 50px;
  }
  .loginInput {
        width:85% !important;
    }
    .toolTipNew  {
        margin-left:0px !important;
    }
    
    #LogInButton   {
        margin-top:5px  !important;
        margin-left:0px !important;
    }
  }

}

.LoginRegisterHeaderPanel, .LoginRegisterHeaderPanelNoArrow {
  background-color: #faeac8;
  color: #3d326a;
  font-size: 33px;
  font-weight: bold;
  padding: 5px 10px;
  @include rounded(8px, 8px, 8px, 8px);
}

.LoginRegisterHeaderPanel {
  background: #faeac8 url(Images/LoginRegisterHeaderRightArrow.png) 97% 50% no-repeat;
  &.on {
    background: #faeac8 url(Images/LoginRegisterHeaderDownArrow.png) 97% 50% no-repeat;
  }
  padding-right:20px;
}

.LoginRegisterHeaderContent {
  color: #000000;
  font-style: italic;
  font-size: 13px;
  margin-left:10px;
}

.LoginRegisterHeaderPanel a {
  text-decoration: none;
}

.FocusCareer {
  .lightboxOptions {
    font-weight: bold;
    a {
      text-decoration: underline;
      &:hover {
        text-decoration: none;
      }
    }
  }
  &.lightbox input[type="text"] {
    border: 1px solid #dee2e3;
    border-top: 1px solid #a9adae;
    @include rounded(2px, 2px, 2px, 2px);
  }
}

.steppedProcess input[type="text"] {
  border: 1px solid #dee2e3;
  border-top: 1px solid #a9adae;
  @include rounded(2px, 2px, 2px, 2px);
}

.steppedProcessSubhead {
  color: #3F336B;
  text-transform: uppercase;
  position: relative;
  top: 4px;
  letter-spacing: 0.1em;
  //padding-left: 13px !important;
}

.lightbox .instructionalText {
  color: #000000;
  font-style: italic;
  font-size: 13px;
  a {
    color: #000000;
    font-style: italic;
    font-size: 13px;
  }
}

.instructionalText {
  color: #000000;
  font-style: italic;
  font-size: 13px;
}

.instructionalJustitfy {
    text-align: justify
}

.dismissableStatusMessage {
  border: 2px solid #C7866A;
  background: #FEF8ED;
  @include rounded(4px, 4px, 4px, 4px);
  padding: 4px;
  color: #000000;
  img {
    margin: 0 3px;
    position: relative;
    top: 1px;
    cursor: pointer;
  }
}

.loginAndRegister {
    div {
        padding:3px 0px;
    }
    td {
        padding: 6px;
    }
}
.steppedProcess {
  td {
    padding: 6px;
  }
  table td {
    padding-left: 0;
  }
}

.FocusCareer .landingPageNavigation {
  .jobSearch {
    &.large .column1 img {
      padding: 18px 16px 16px 7px;
    }
    &.open {
      .column1 {
        -webkit-border-bottom-left-radius: 0;
        -moz-border-radius-bottomleft: 0;
        border-bottom-left-radius: 0;
      }
      .column2 {
        -webkit-border-bottom-right-radius: 0;
        -moz-border-radius-bottomright: 0;
        border-bottom-right-radius: 0;
      }
    }
  }
  .expanded {
    td {
      background: #efeef3;
      padding: 13px 0;
      @include rounded(0, 0, 0, 0);
    }
    img {
      margin-right: 6px;
      position: relative;
      top: 4px;
    }
    .largeHeading {
      font-size: 27px;
    }
    .headingContent {
      font-size: 18px;
    }
  }
  .horizontalRule {
    width: 100%;
    height: 1px;
    background: #d9d8de;
  }
}

#CreateOrEditResumeModalPanel .multipleAccordionTitle .column1 {
  width: 55px !important;
}

.FocusCareer .landingPageNavigation {
  .column2 {
    width: 2000px;
  }
  .careercolumn2 {
    width: auto;
  }
}

#JobDetails {
  background: #f1f0f5;
  border: none;
  height: 450px;
  overflow: scroll;
}

.checkboxTable td {
  padding: 0 6px;
}

#ChartTable {
  font-size: 12px;
  font-weight: bold;
}

#ChartWrap {
  width: 68px;
  height: 68px;
  overflow: hidden;
}

#PieChartWrap {
  position: relative;
  bottom: 8px;
  right: 8px;
}

#pieChartBorder {
  background: url(Images/pieChartRing.png) no-repeat;
  width: 68px;
  height: 68px;
  position: absolute;
  z-index: 9;
}

// Bookmark list

.bookmarkList {
  font-size: 15px;
  ul {
    margin-bottom: 0;
  }
  li {
    margin-bottom: 4px;
  }
}

// My Bookmarks

.myBookmarkList {
  margin-top: 15px;
}

// Job list

table {
  &.jobList {
    width: 100%;
    td {
      font-size: 15px !important;
      padding-bottom: 10px;
    }
    .column1 {
      width: 75px;
    }
    .column2, .column3 {
      width: 250px;
    }
    .column4 {
      width: 150px;
    }
    .column5 {
      width: 70px;
    }
  }
  &.homeJobList {
    width: 100%;
    td {
      font-size: 15px !important;
      padding-bottom: 10px;
    }
    .column1 {
      width: 65px;
    }
  }
}

// Home page job lists

// Resume Missing Info

.resumeMissingInfoDetail {
  max-height: 250px;
	overflow-x: hide;
  overflow-y: auto;
  margin: 20px 0;
  position: relative;
  .collapsiblePanel {
    margin-top: 20px;
    &:first-child {
      margin-top: 0;
    }
  }
  .collapsiblePanelHeader {
    text-transform: uppercase;
    font-size: 16px;
    font-weight: bold;
    color: #000;
    position: relative;
    border-top: 1px dashed #000;
    border-bottom: 1px dashed #000;
    background: #f1f0f5;
    height: 25px;
  }
  .collapsiblePanelHeaderLabel {
    position: absolute;
    display: block;
    left: 40px;
    top: 3px;
  }
  .cpHeaderControl {
    cursor: pointer;
  }
  .cpIcon {
    position: absolute;
    left: 3px;
    top: 3px;
    width: 19px;
    height: 19px;
    background: url(Images/icon_accordion_close_off.png) no-repeat;
    cursor: pointer;
  }
  .cpCollapsed .cpIcon {
    background-image: url(Images/icon_accordion_open_off.png);
  }
  input[type="text"] {
    height: 19px;
  }
  .inFieldLabel label {
    color: #000000;
    font-size: 13px;
    margin-top: 4px;
  }
  .dataInputLabel {
    margin-right: 10px;
    width: 150px;
    padding-top: 4px;
  }
  .dataInputFieldNoLabel {
    //margin-left: 160px;
    font-size: 15px;
  }
}

// Internship skill clusters (Education job search)

.internshipSkillClustersWrapper {
  background: #F6F8F9;
  display: block;
}

.internshipSkillClusters {
  display: block;
  height: 220px;
  overflow-y: scroll;
  margin-bottom: 20px;
  ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }
  li {}
}

.internshipSkillClustersSummary {
  display: block;
  padding: 5px;
  background-color: #e6e4ee;
  .deletableListItemTable {
    width: 100%;
    background: #fff;
    .column2 {
      width: 16px;
    }
  }
}

// in-page messages

.inPageError, .inPageMessage {
  display: block;
  position: relative;
  zoom: 1;
  cursor: pointer;
}

.message-container p {
  margin: 5px;
  padding: 0;
  .ui-icon {
    margin: 3px 10px 0 0;
  }
  .message-dismiss {
    text-decoration: underline;
    padding-left: 15px;
  }
}

.stateDisabled {
  opacity: 0.40 !important;
  filter: alpha(opacity = 40) !important;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=40)" !important;
}

.information-panel {
 display: block;
 background: #dde9e7 url("Images/icon-information-panel.png") no-repeat 15px 15px;
 color: #264c69;
 font-size: 13px;
 line-height: 18px;
 -webkit-border-radius: 6px;
 -moz-border-radius: 6px;
 border-radius: 6px;
 padding: 15px 15px 15px 56px;
 margin-bottom: 15px;
}

// Focus Explorer

.explorerfield:disabled {
  background-color: #EBEBE4!important;
}

.ResearchValidator {}

// Site maintenance
.site-maintenance {
	-webkit-border-radius: 6px;
 -moz-border-radius: 6px;
 border-radius: 6px;
 background: #efe2b7 url("Images/icon_sitemaintenance.png") no-repeat 15px 15px;
 border: 2px solid #d18301;
 padding: 15px 15px 15px 160px;
 min-height: 118px;
 h1 {
	font-size: 30px;
	color: #d48a01;
	margin-bottom: 20px;
 }
 p {
	font-size: 14px;
	font-weight: bold;
	color: #322001;
 }
}

.table {
	border-collapse: collapse;
	&.table-padding-right {
		td {
			padding-right: 4px;
		}
	}
}

.sso-table
{
	width:100%;
	margin-bottom: 20px;
	td:first-child {
		width: 120px;
	}
	td:nth-child(2) {
		width: 220px;
	}
}
@media (max-width: 768px){
.standardPanel .overlayPanelClosed,
	.overlayPanelContainer.standardPanel{
	width:250px !important;
	}
	.dropDrownSpaceAlign{
	margin-bottom:25px;
	}
    .jobPostingEmailModal{
        max-width:95%;
    }
    .jobPostingToolsCriteria{
    ul li {
    display:block;
    border:0px;
    padding-left:0px;
    }
    }
}
@media (min-width:320px)and(max-width:992px){
.explorerCareerDegreeArea{
		left:-15px;
	}
}
@media (min-width:768px)and(max-width:992px){
.explorerCareerDisplayArea{
	left:-25%;
	}
}

/* override the default margin setting*/
.row {
    margin-left: 0px;
    margin-right: 0px;
}

.collapsableLabel   {
    margin-left:5px;
}

.JobPosting {
    height:auto !important;
}

.DefaultResumeClass {
    width:252px;
}

.collapsableTable{
	label{
		display:inline;
		}
	@media (min-width:992px)    {
        .collapsableRow{
        width:49%;
        float:left;
        }
		.collapsableLabel   {
        margin-left:25px;
		}
    }
}

@media (max-width:480px) {
    select {
      max-width: 300px !important;
    }
	.careerDropDown{
	max-width:250px !important;
	}
	.ui-autocomplete {
		max-width:250px !important;
	}

    .jobPostingToolsShare { 
        position: static !important;
        float:right;
        margin-bottom:5px;
        margin-left:-10px;
    }
    .carrerPathGraph{
        width:250px;
    }

    #triple li {
        width:100%;
    }

    #MainContent_ListSearch_lnkEditSaveSearch{
        display:block;
        margin-top:5px;
    }
}

@media (max-width:768px) and (orientation:landscape) {
    .loginAndRegister
    {
        div {
            padding:0px;
            h1 {
                margin:0px;
            }
        }

    }
}

@media (max-width:991px) and (min-width:768px){
    #zipCodeDiv {
        margin-left:-35px;
    }
}

@media (max-width:768px) {
    .DefaultResumeClass {
        width:95%;
    }
    .ui-autocomplete {
		max-width:400px !important;
	}
    .careersAndEducation .error,
    .resumeEducation .error{
        width:100%;
        float: left;
    }
    .wrapTableData {
        display:block;
    }

    .carrerPathGraph{
        max-width:400px;
        overflow:auto;
    }
    #triple li {
        width:50%;
    }
}
@import "Focus/Source/panels";
@import "Focus/Source/utilities";
@import "Focus/Source/searchresults";
